﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ASPItalia.com.TicketTwo.Common.ObjectModel;
using ASPItalia.com.TicketTwo.Data;

namespace ASPItalia.com.TicketTwo.Business
{
    public class OrdersManager : IEntityManager<Order>
    {

        #region IEntityManager<Order> Members

        public IQueryable<Order> List()
        {
            return new OrdersData().List();
        }

		public IQueryable<Order> Get(int orderID)
		{
			return List().Where(x => x.ID == orderID);
		}

        public void Create(Order entity)
        {
            using (OrdersData td = new OrdersData())
                td.Create(entity);
        }

        public void Update(Order entity)
        {
            using (OrdersData td = new OrdersData())
                td.Update(entity);
        }

        public void Delete(Order entity)
        {
            using (OrdersData td = new OrdersData())
                td.Delete(entity);
        }

        #endregion
    }
}
