﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ASPItalia.com.TicketTwo.Common.ObjectModel;
using ASPItalia.com.TicketTwo.Data;

namespace ASPItalia.com.TicketTwo.Business
{
	// TODO: 03 Business Layer
    public class ToursManager : IEntityManager<Tour>
    {
        private ToursData toursData = new ToursData();

        #region IEntityManager<Tour> Members

        public IQueryable<Tour> List()
        {
            return toursData.List();
        }

		public IQueryable<Tour> Get(int id)
		{
			return List().Where(x => x.ID == id);
		}

        public void Create(Tour entity)
        {
            toursData.Create(entity);
        }

        public void Update(Tour entity)
        {
            toursData.Update(entity);
        }

        public void Delete(Tour entity)
        {
            toursData.Delete(entity);
        }

        #endregion
    }
}
