﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using ASPItalia.com.TicketTwo.Common.ObjectModel;

namespace ASPItalia.com.TicketTwo.Data
{
    public abstract class LinqData : Component
    {
        private readonly TicketTwoDataContext _dataContext;

        public LinqData()
        {
            _dataContext  = new TicketTwoDataContext();
            //_dataContext.ObjectTrackingEnabled = false;
            //_dataContext.DeferredLoadingEnabled = false;
        }

        protected TicketTwoDataContext DataContext
        {
            get { return _dataContext; }
        }

        protected override void Dispose(bool disposing)
        {
            base.Dispose(disposing);

            if (disposing)
            {
                this.DataContext.Dispose();
            }
        }
    }
}