﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ASPItalia.com.TicketTwo.Common.ObjectModel;

namespace ASPItalia.com.TicketTwo.Data
{
	// TODO: 02 DataLayer
    public class ToursData : LinqData
    {

        public IQueryable<Tour> List()
        {
            return this.DataContext.Tours;
        }

        public void Create(Tour entity)
        {
            this.DataContext.Tours.InsertOnSubmit(entity);
            this.DataContext.SubmitChanges();
        }

        public void Update(Tour entity)
        {
            try
            {
                this.DataContext.Tours.Attach(entity, true);
            }
            catch (Exception)
            { }
            this.DataContext.SubmitChanges();
        }

        public void Delete(Tour entity)
        {
            try
            {
                this.DataContext.Tours.Attach(entity);
            }
            catch (Exception)
            { }
            this.DataContext.Tours.DeleteOnSubmit(entity);
            this.DataContext.SubmitChanges();
        }
    }
}
