﻿<%@ Page Language="C#" MasterPageFile="~/GUI/Admin.Master" AutoEventWireup="true"
	CodeBehind="Edit.aspx.cs" Inherits="ASPItalia.com.TicketTwo.Web.Admin.Edit" Title="Untitled Page" %>

<asp:Content ID="Content2" ContentPlaceHolderID="Body" runat="server">

	<asp:ScriptManager runat="server" ID="SM" />

	<h1>
		Modifica tour</h1>
	<asp:UpdatePanel ID="UpdatePanel1" runat="server">
		<ContentTemplate>
			<asp:DetailsView ID="TourDetails" runat="server" AutoGenerateRows="False" CellPadding="4"
				DataSourceID="ObjectDataSource1" ForeColor="#333333" GridLines="None" Width="100%"
				DataKeyNames="ID">
				<FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
				<CommandRowStyle BackColor="#E2DED6" Font-Bold="True" />
				<RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
				<FieldHeaderStyle BackColor="#E9ECF1" Font-Bold="True" />
				<PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
				<Fields>
					<asp:BoundField DataField="ID" HeaderText="ID" SortExpression="ID" />
					<asp:BoundField DataField="Name" HeaderText="Tour" SortExpression="Name" />
					<asp:BoundField DataField="Description" HeaderText="Descrizione" SortExpression="Description" />
					<asp:BoundField DataField="SiteUrl" HeaderText="Url Sito" SortExpression="SiteUrl" />
					<asp:CommandField ShowDeleteButton="True" ShowEditButton="True" EditText="Modifica"
						UpdateText="Conferma" DeleteText="Elimina" CancelText="Annulla" SelectText="Seleziona" />
				</Fields>
				<HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
				<EditRowStyle BackColor="#999999" />
				<AlternatingRowStyle BackColor="White" ForeColor="#284775" />
			</asp:DetailsView>
			<asp:ObjectDataSource ID="ObjectDataSource1" runat="server" DataObjectTypeName="ASPItalia.com.TicketTwo.Common.ObjectModel.Tour"
				DeleteMethod="Delete" InsertMethod="Create" SelectMethod="Get" TypeName="ASPItalia.com.TicketTwo.Business.ToursManager"
				UpdateMethod="Update">
				<SelectParameters>
					<asp:QueryStringParameter Name="id" QueryStringField="id" Type="Int32" />
				</SelectParameters>
			</asp:ObjectDataSource>
		</ContentTemplate>
	</asp:UpdatePanel>
	<hr />
	<h2>
		Date associate al tour</h2>
	<asp:UpdatePanel runat="server" ID="UpdatePanel2">
		<ContentTemplate>
			<asp:GridView ID="ExhibitionsView" runat="server" AutoGenerateColumns="False" CellPadding="4"
				DataSourceID="ObjectDataSource2" ForeColor="#333333" GridLines="None" Width="100%"
				DataKeyNames="ID">
				<FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
				<RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
				<Columns>
					<asp:BoundField DataField="ID" HeaderText="ID" SortExpression="ID" ReadOnly="true" />
					<asp:BoundField DataField="City" HeaderText="Città" SortExpression="City" />
					<asp:BoundField DataField="Location" HeaderText="Descrizione" SortExpression="Location" />
					<asp:BoundField DataField="Date" HeaderText="Data" SortExpression="Date" />
					<asp:BoundField DataField="Address" HeaderText="Indirizzo" SortExpression="Address" />
					<asp:CommandField ShowDeleteButton="True" ShowEditButton="True" EditText="Modifica"
						DeleteText="Elimina" CancelText="Annulla" SelectText="Seleziona" ShowSelectButton="True" />
				</Columns>
				<PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
				<SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
				<HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
				<EditRowStyle BackColor="#999999" />
				<AlternatingRowStyle BackColor="White" ForeColor="#284775" />
			</asp:GridView>
			<asp:ObjectDataSource ID="ObjectDataSource2" runat="server" DataObjectTypeName="ASPItalia.com.TicketTwo.Common.ObjectModel.Exhibition"
				DeleteMethod="Delete" InsertMethod="Create" SelectMethod="GetByTour" TypeName="ASPItalia.com.TicketTwo.Business.ExhibitionsManager"
				UpdateMethod="Update">
				<SelectParameters>
					<asp:QueryStringParameter Name="tourid" QueryStringField="id" Type="Int32" />
				</SelectParameters>
			</asp:ObjectDataSource>
		</ContentTemplate>
	</asp:UpdatePanel>
	<hr />
	<asp:UpdatePanel ID="UpdatePanel3" runat="server">
		<ContentTemplate>
			<h2>Biglietti disponibili</h2>				
			<asp:GridView ID="TicketsView" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectDataSource3"
				CellPadding="4" ForeColor="#333333" GridLines="None">
				<FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
				<RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
				<Columns>
					<asp:BoundField DataField="ID" HeaderText="ID" SortExpression="ID" />
					<asp:BoundField DataField="Name" HeaderText="Descrizione" SortExpression="Name" />
					<asp:BoundField DataField="Price" HeaderText="Prezzo in Euro" SortExpression="Price" />
					<asp:CommandField ShowDeleteButton="True" ShowEditButton="True" EditText="Modifica"
						UpdateText="Conferma" DeleteText="Elimina" CancelText="Annulla" SelectText="Seleziona"
						ShowSelectButton="False" />
				</Columns>
				<PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
				<SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
				<HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
				<EditRowStyle BackColor="#999999" />
				<AlternatingRowStyle BackColor="White" ForeColor="#284775" />
			</asp:GridView>
			<asp:ObjectDataSource ID="ObjectDataSource3" runat="server" DataObjectTypeName="ASPItalia.com.TicketTwo.Common.ObjectModel.TicketRange"
				DeleteMethod="Delete" InsertMethod="Create" SelectMethod="Get" TypeName="ASPItalia.com.TicketTwo.Business.TicketRangesManager"
				UpdateMethod="Update">
				<SelectParameters>
					<asp:ControlParameter ControlID="ExhibitionsView" Name="id" PropertyName="SelectedValue"
						Type="Int32" />
				</SelectParameters>
			</asp:ObjectDataSource>
		</ContentTemplate>
	</asp:UpdatePanel>
</asp:Content>