﻿<%@ Page Language="C#" MasterPageFile="~/GUI/Admin.Master" AutoEventWireup="true"
	CodeBehind="Orders.aspx.cs" Inherits="ASPItalia.com.TicketTwo.Web.Admin.Orders"
	Title="Untitled Page" %>

<asp:Content ID="Content2" ContentPlaceHolderID="Body" runat="server">
	<asp:ScriptManager runat="server" ID="SM" />
	<h1>Elenco ordini</h1>
	<asp:UpdatePanel ID="UpdatePanel1" runat="server">
		<ContentTemplate>
		
		<asp:TextBox ID="FullName" runat="server" />
		<asp:Button ID="VaiZio" runat="server" Text="Vai" onclick="VaiZio_Click" />
		
			<asp:GridView ID="GridView1" runat="server" Width="100%" AutoGenerateColumns="False"
				DataSourceID="ObjectDataSource1" CellPadding="4" ForeColor="#333333" GridLines="None"
				DataKeyNames="ID">
				<FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
				<RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
				<Columns>
					<asp:BoundField DataField="ID" HeaderText="ID" SortExpression="ID" />
					<asp:BoundField DataField="FullName" HeaderText="Nome" SortExpression="FullName" />
					<asp:BoundField DataField="DeliveryAddress" HeaderText="Indirizzo" SortExpression="DeliveryAddress" />
					<asp:BoundField DataField="DeliveryCity" HeaderText="Città" SortExpression="DeliveryCity" />
					<asp:BoundField DataField="DeliveryState" HeaderText="Stato" SortExpression="DeliveryState" />
					<asp:BoundField DataField="DeliveryPostalCode" HeaderText="CAP" SortExpression="DeliveryPostalCode" />
					<asp:BoundField DataField="Amount" HeaderText="Totale" SortExpression="Amount" />
					<asp:BoundField DataField="DateTime" HeaderText="Data ordine" SortExpression="DateTime" />
					<asp:CheckBoxField DataField="Confirmed" HeaderText="Confermato" SortExpression="Confirmed" />
					<asp:TemplateField HeaderText="Biglietti">
						<ItemTemplate>
							<asp:Repeater DataSource='<%# Eval("OrderItem") %>' runat="server">
								<HeaderTemplate>
									<ul>
								</HeaderTemplate>
								<ItemTemplate>
									<li>
										<%#Eval("Quantity")%>
										biglietti
										<%#Eval("TicketRange") %></li>
								</ItemTemplate>
								<FooterTemplate>
									</ul></FooterTemplate>
							</asp:Repeater>
						</ItemTemplate>
					</asp:TemplateField>
					<asp:CommandField ShowDeleteButton="True" ShowEditButton="True" EditText="Modifica"
						UpdateText="Conferma" DeleteText="Elimina" CancelText="Annulla" SelectText="Visualizza dettagli"
						ShowSelectButton="true" />
				</Columns>
				<PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
				<SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
				<HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
				<EditRowStyle BackColor="#999999" />
				<AlternatingRowStyle BackColor="White" ForeColor="#284775" />
			</asp:GridView>
			<asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="List" TypeName="ASPItalia.com.TicketTwo.Business.OrdersManager"
				DataObjectTypeName="ASPItalia.com.TicketTwo.Common.ObjectModel.Order" DeleteMethod="Delete"
				InsertMethod="Create" UpdateMethod="Update"></asp:ObjectDataSource>
		</ContentTemplate>
	</asp:UpdatePanel>
	<h1>
		Dettagli</h1>
	<asp:UpdatePanel ID="UpdatePanel2" runat="server">
		<ContentTemplate>
			<asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" CellPadding="4"
				DataSourceID="ObjectDataSource2" ForeColor="#333333" Width="100%" GridLines="None">
				<FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
				<RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
				<Columns>
					<asp:BoundField DataField="TicketRange" HeaderText="Ticket" />
					<asp:BoundField DataField="Quantity" HeaderText="Quantity" SortExpression="Quantity" />
					<asp:BoundField DataField="Amount" HeaderText="Amount" SortExpression="Amount" />
				</Columns>
				<PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
				<SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
				<HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
				<EditRowStyle BackColor="#999999" />
				<AlternatingRowStyle BackColor="White" ForeColor="#284775" />
			</asp:GridView>
			<asp:ObjectDataSource ID="ObjectDataSource2" runat="server" SelectMethod="GetByOrder"
				TypeName="ASPItalia.com.TicketTwo.Business.OrderItemsManager">
				<SelectParameters>
					<asp:ControlParameter ControlID="GridView1" Name="id" PropertyName="SelectedValue"
						Type="Int32" />
				</SelectParameters>
			</asp:ObjectDataSource>
		</ContentTemplate>
	</asp:UpdatePanel>
</asp:Content>
