﻿using System;
using System.Collections;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Xml.Linq;
using ASPItalia.com.TicketTwo.Business;

namespace ASPItalia.com.TicketTwo.Web
{
    /// <summary>
    /// Summary description for $codebehindclassname$
    /// </summary>
    public class Manifest : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            int idTour = Int32.Parse(context.Request["idTour"]);
            // Recupero il manifesto del tour
            byte[] data = new ToursManager().Get(idTour).Single().Manifest;

            // Scrivo i bytes in uscita
            context.Response.ContentType = "image/jpeg";
            context.Response.BinaryWrite(data);
        }

        public bool IsReusable
        {
            get
            {
                return true;
            }
        }
    }
}
