﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ASPItalia.com.TicketTwo.Common.ObjectModel;
using ASPItalia.com.TicketTwo.Data;

namespace ASPItalia.com.TicketTwo.Business
{
	public class OrderItemsManager : IEntityManager<OrderItem>
	{

		private OrderItemsData oid = new OrderItemsData();

		#region IEntityManager<OrderItem> Members

		public IQueryable<OrderItem> List()
		{
			return oid.List();
		}

		public IQueryable<OrderItem> GetByOrder(int id)
		{
			return List().Where(x => x.OrderID == id);
		}

		public void Create(OrderItem entity)
		{
			oid.Create(entity);
		}

		public void Update(OrderItem entity)
		{
			oid.Update(entity);
		}

		public void Delete(OrderItem entity)
		{
			oid.Delete(entity);
		}

		#endregion
	}
}
