﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ASPItalia.com.TicketTwo.Common.ObjectModel;
using ASPItalia.com.TicketTwo.Data;

namespace ASPItalia.com.TicketTwo.Business
{
    public class TicketRangesManager : IEntityManager<TicketRange>
    {

        #region IEntityManager<TicketRange> Members

        public IQueryable<TicketRange> List()
        {
            return new TicketRangesData().List();
        }

		public IQueryable<TicketRange> Get(int id)
		{
			return List().Where(x => x.ExhibitionID == id);
		}

        public void Create(TicketRange entity)
        {
            using (TicketRangesData td = new TicketRangesData())
                td.Create(entity);
        }

        public void Update(TicketRange entity)
        {
            using (TicketRangesData td = new TicketRangesData())
                td.Update(entity);
        }

        public void Delete(TicketRange entity)
        {
            using (TicketRangesData td = new TicketRangesData())
                td.Delete(entity);
        }

        #endregion
    }
}
