﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ASPItalia.com.TicketTwo.Common.ObjectModel;

namespace ASPItalia.com.TicketTwo.Data
{
    public class ExhibitionsData : LinqData
    {

        public IQueryable<Exhibition> List()
        {
            return this.DataContext.Exhibitions;
        }

        public void Create(Exhibition entity)
        {
            this.DataContext.Exhibitions.InsertOnSubmit(entity);
            this.DataContext.SubmitChanges();
        }

        public void Update(Exhibition entity)
        {
            try
            {
                this.DataContext.Exhibitions.Attach(entity, true);
            }
            catch (Exception)
            { }
            this.DataContext.SubmitChanges();
        }

        public void Delete(Exhibition entity)
        {
            try
            {
                this.DataContext.Exhibitions.Attach(entity);
            }
            catch (Exception)
            { }
            this.DataContext.Exhibitions.DeleteOnSubmit(entity);
            this.DataContext.SubmitChanges();
        }
    }
}
