﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ASPItalia.com.TicketTwo.Common.ObjectModel;

namespace ASPItalia.com.TicketTwo.Data
{
    public class OrdersData : LinqData
    {

        public IQueryable<Order> List()
        {
            return this.DataContext.Orders;
        }

        public void Create(Order entity)
        {
            this.DataContext.Orders.InsertOnSubmit(entity);
            this.DataContext.SubmitChanges();
        }

        public void Update(Order entity)
        {
            try
            {
                this.DataContext.Orders.Attach(entity, true);
            }
            catch (Exception)
            { }
            this.DataContext.SubmitChanges();
        }

        public void Delete(Order entity)
        {
            //var Exhibitions = from e in this.DataContext.Exhibitions
            //                 where e.OrderID == entity.ID
            //                 select e;

            //this.DataContext.Exhibitions.DeleteAllOnSubmit<Exhibition>(Exhibitions);

            try
            {
                this.DataContext.Orders.Attach(entity);
            }
            catch (Exception)
            { }
            this.DataContext.Orders.DeleteOnSubmit(entity);
            this.DataContext.SubmitChanges();
        }
    }
}
