﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ASPItalia.com.TicketTwo.Common.ObjectModel;

namespace ASPItalia.com.TicketTwo.Data
{
    public class OrderItemsData : LinqData
    {
        public IQueryable<OrderItem> List()
        {
            return this.DataContext.OrderItems;
        }

        public void Create(OrderItem entity)
        {
            this.DataContext.OrderItems.InsertOnSubmit(entity);
            this.DataContext.SubmitChanges();
        }

        public void Update(OrderItem entity)
        {
            try
            {
                this.DataContext.OrderItems.Attach(entity, true);
            }
            catch (Exception)
            { }
            this.DataContext.SubmitChanges();
        }

        public void Delete(OrderItem entity)
        {
            //var Exhibitions = from e in this.DataContext.Exhibitions
            //                 where e.OrderItemID == entity.ID
            //                 select e;

            //this.DataContext.Exhibitions.DeleteAllOnSubmit<Exhibition>(Exhibitions);

            try
            {
                this.DataContext.OrderItems.Attach(entity);
            }
            catch (Exception)
            { }
            this.DataContext.OrderItems.DeleteOnSubmit(entity);
            this.DataContext.SubmitChanges();
        }
    }
}
