﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ASPItalia.com.TicketTwo.Common.ObjectModel;

namespace ASPItalia.com.TicketTwo.Data
{
    public class TicketRangesData : LinqData
    {

        public IQueryable<TicketRange> List()
        {
            return this.DataContext.TicketRanges;
        }

        public void Create(TicketRange entity)
        {
            this.DataContext.TicketRanges.InsertOnSubmit(entity);
            this.DataContext.SubmitChanges();
        }

        public void Update(TicketRange entity)
        {
            try
            {
                this.DataContext.TicketRanges.Attach(entity, true);
            }
            catch (Exception)
            { }
            this.DataContext.SubmitChanges();
        }

        public void Delete(TicketRange entity)
        {
            //var Exhibitions = from e in this.DataContext.Exhibitions
            //                 where e.TicketRangeID == entity.ID
            //                 select e;

            //this.DataContext.Exhibitions.DeleteAllOnSubmit<Exhibition>(Exhibitions);

            try
            {
                this.DataContext.TicketRanges.Attach(entity);
            }
            catch (Exception)
            { }
            this.DataContext.TicketRanges.DeleteOnSubmit(entity);
            this.DataContext.SubmitChanges();
        }
    }
}
