﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using ASPItalia.com.TicketTwo.Business;
using ASPItalia.com.TicketTwo.Common.ObjectModel;

namespace ASPItalia.com.TicketTwo.Web.GUI
{
    public partial class Site : System.Web.UI.MasterPage
    {
		protected void Page_Load(object sender, EventArgs e)
		{
			// elenco prossimi concerti
			ExhibitionsManager m = new ExhibitionsManager();
			Spot.DataSource = from spot in m.List()
							  select new { Tour = spot.Tour.Name, Description = spot.Tour.Description, ID = spot.Tour.ID, City = spot.City, Date = spot.Date, Url = spot.Tour.SiteUrl };
			Spot.DataBind();
		}

		protected void updateBasket_Click(object s, EventArgs e)
		{
			Basket.Update();
		}

		protected void emptyBasket_Click(object s, EventArgs e)
		{
			// TODO: 10 Svuota carrello
		}
    }
}
